Gossamer Forum
Home : Products : Gossamer Links : Development, Plugins and Globals :

Install Problem - Links SQL 2.2.1

Quote Reply
Install Problem - Links SQL 2.2.1
Trying to do a brand new install of Links SQL 2.2.1 and get this back from the DB install:

Creating Users table ... okayCreating Links table ... okayCreating Changes table ... okayCreating Category table ... failed (Failed to execute query: ' CREATE TABLE Category ( ID INT unsigned NOT NULL AUTO_INCREMENT, Name CHAR(255) NOT NULL, FatherID INT unsigned DEFAULT '0' NOT NULL, Full_Name CHAR(255) NOT NULL, Description LONGTEXT, Meta_Description LONGTEXT, Meta_Keywords LONGTEXT, Header LONGTEXT, Footer LONGTEXT, Category_Template CHAR(20), Number_of_Links INT DEFAULT '0' NOT NULL, Has_New_Links ENUM('No','Yes') DEFAULT 'No' NOT NULL, Has_Changed_Links ENUM('No','Yes') DEFAULT 'No' NOT NULL, Newest_Link DATE DEFAULT '', Timestmp TIMESTAMP, Payment_Mode TINYINT DEFAULT '0' NOT NULL, Payment_Description LONGTEXT, PRIMARY KEY (ID) )': Invalid default value for 'Newest_Link')Creating CatPrice table ... okayCreating Reviews table ... okayCreating CatLinks table ... okayCreating CatRelations table ... okayCreating Editors table ... okayCreating Verify table ... okayCreating Sessions table ... okayCreating EmailTemplates table ... okayCreating EmailMailings table ... okayCreating MailingIndex table ... okayCreating MailingList table ... okayCreating MailingListIndex table ... okayCreating ClickTrack table ... okayCreating Payments table ... okayCreating PaymentLogs table ... okay
Quote Reply
Re: [pauls] Install Problem - Links SQL 2.2.1 In reply to
Hi,

Wrong forum :) (you poated in Links 2, static version - not LinksSQL/GLinks)

So this is a fresh install? Seems it doesnt like this bit:

Code:
Newest_Link DATE DEFAULT ''

You could try running this on the database, to make the table manually:

CREATE TABLE Category ( ID INT unsigned NOT NULL AUTO_INCREMENT, Name CHAR(255) NOT NULL, FatherID INT unsigned DEFAULT '0' NOT NULL, Full_Name CHAR(255) NOT NULL, Description LONGTEXT, Meta_Description LONGTEXT, Meta_Keywords LONGTEXT, Header LONGTEXT, Footer LONGTEXT, Category_Template CHAR(20), Number_of_Links INT DEFAULT '0' NOT NULL, Has_New_Links ENUM('No','Yes') DEFAULT 'No' NOT NULL, Has_Changed_Links ENUM('No','Yes') DEFAULT 'No' NOT NULL, Newest_Link DATE, Timestmp TIMESTAMP, Payment_Mode TINYINT DEFAULT '0' NOT NULL, Payment_Description LONGTEXT, PRIMARY KEY (ID) )'


You will probably need to make the .def file then though.

BTW - is there any reason you aren't using GLinks 3.2 ?

Hope that helps.

Cheers

Andy (mod)
andy@ultranerds.co.uk
Want to give me something back for my help? Please see my Amazon Wish List
GLinks ULTRA Package (plugins total "value" $3,325 & rising, for just $350)| GLinks ULTRA Package PRO (plugins total "value" $5,625 & rising, for just $500)
Support Forum | Links SQL Plugins | DMOZ Dumps | UltraNerds | ULTRAGLobals Plugin | Pre-Made Template Sets | FREE GLinks Plugins!
Compare our different Plugin packages *new* Free CSS Templates
Quote Reply
Re: [Andy] Install Problem - Links SQL 2.2.1 In reply to
Thanks ... I bought Links SQL in 2001 apparently .. just looked it up.

At that time, there was no set time frame on how long upgrades would be included in the purchase - then at a later date, Gossamer set a time frame so apparently I'm not eligible to for the 3.2x series without paying for the upgrade??

Don't get me wrong - I'm not against paying for upgrades but as a long term customer who has purchased their Links product and the Gmail system it interests me to know what my options are..... again, I have barely used it in production since I purchased it (bought it for a project that fellthrough, now starting a new project and would like to use it 7 years later)....

The software is great and I'm not being negative (or not trying to be)....

Is this something that can be answered in the forums or do I need to contact Gossamer offline?

Thanks again!

Paul
Quote Reply
Re: [pauls] Install Problem - Links SQL 2.2.1 In reply to
Hi,

It may be worth just emailing GT (support@gossamer-threads.com), and see if they can help you out :)

I believe some version of MySQL don't like having a default of '' set.

I had it once where trying to re-create the tables, and it gave me the same error (different reason though, but same thing really)

Hope that helps.

Cheers

Andy (mod)
andy@ultranerds.co.uk
Want to give me something back for my help? Please see my Amazon Wish List
GLinks ULTRA Package (plugins total "value" $3,325 & rising, for just $350)| GLinks ULTRA Package PRO (plugins total "value" $5,625 & rising, for just $500)
Support Forum | Links SQL Plugins | DMOZ Dumps | UltraNerds | ULTRAGLobals Plugin | Pre-Made Template Sets | FREE GLinks Plugins!
Compare our different Plugin packages *new* Free CSS Templates
Quote Reply
Re: [Andy] Install Problem - Links SQL 2.2.1 In reply to
OOPS .... I just went back to the licensed area and 3.x series is available (I recall conversations back at the time about upgrades now).... anyways, I'll try 3.x and see where that takes me....

I was looking for Links SQL and missed the "Gossamer Links 3.x" download thinking it was the non-SQL version.... sorry about that...;)
Quote Reply
Re: [pauls] Install Problem - Links SQL 2.2.1 In reply to
Hi,

haha - no problem. Hope it works (should do Smile)

Cheers

Andy (mod)
andy@ultranerds.co.uk
Want to give me something back for my help? Please see my Amazon Wish List
GLinks ULTRA Package (plugins total "value" $3,325 & rising, for just $350)| GLinks ULTRA Package PRO (plugins total "value" $5,625 & rising, for just $500)
Support Forum | Links SQL Plugins | DMOZ Dumps | UltraNerds | ULTRAGLobals Plugin | Pre-Made Template Sets | FREE GLinks Plugins!
Compare our different Plugin packages *new* Free CSS Templates